DECLARE @NewSecretTypeId INT
DECLARE @NewSecretTypeName VARCHAR (255)

SET @NewSecretTypeId = 11
SET @NewSecretTypeName = 'Healthcare'

IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = @NewSecretTypeName
	)
BEGIN
	SET IDENTITY_INSERT [dbo].[tbSecretType] ON
	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT @NewSecretTypeId, @NewSecretTypeName		, '594DB48F-DC26-4072-A89D-2B527E466BE8'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	SET IDENTITY_INSERT [dbo].[tbSecretField] ON
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldId]
		,[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[ConcurrencyID]
		)
	--	                                 SortOrder             Required   Encrypt IsPassword
	SELECT 45,
		'Name', 'Healthcare Provider Name',	1,	@NewSecretTypeId, 1, 'string' ,0,	0, '594DB48F-F456-45f2-A9F9-648A172B6111' UNION
	SELECT 46,
		'PolicyNum', 'Policy Number',		2,	@NewSecretTypeId, 1, 'string' ,1,	0, '98523322-DC26-4072-A9F9-648A172B6111' UNION
	SELECT 47,
		'GroupNum', 'Group Number',			3,	@NewSecretTypeId, 1, 'string' ,1,	0, '98523322-F456-45f2-A89D-648A172B6111' UNION
	SELECT 48,
		'Notes', 'Notes',					4,	@NewSecretTypeId, 0, 'string' ,1,	0, '24433344-2241-4a82-AC30-2B527E466BE8'
	SET IDENTITY_INSERT [dbo].[tbSecretField] OFF
END

